import { r as registerInstance, h } from './core-095fd691.js';
var BceCard = /** @class */ (function () {
    function class_1(hostRef) {
        registerInstance(this, hostRef);
    }
    class_1.prototype.render = function () {
        return h("slot", null);
    };
    Object.defineProperty(class_1, "style", {
        get: function () { return "bce-card{--bce-color-l:var(--bce-color-light-l);--bce-color-n:var(--bce-color-light-n);--bce-color-d:var(--bce-color-light-d);--bce-color-t:var(--bce-color-light-t);z-index:1;-webkit-box-shadow:0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);box-shadow:0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);position:relative;display:block;margin-bottom:.5rem;padding:1rem;border-radius:4px;background-color:var(--bce-color-l)}"; },
        enumerable: true,
        configurable: true
    });
    return class_1;
}());
export { BceCard as bce_card };
